Subject: RE: bug#31130: 26; Regression: intra-glossary links broken in Emacs manual

From: Drew Adams <[email-masked]>
Date: Thu, 12 Apr 2018 08:53:49 -0700 (PDT)

> > 1. Trying again now, I can repro the problem only in Emacs 24.5,
> >    not in the more recent releases/builds.
> 
> That could be, but I guess it means you reported the bug from a binary
> other than the one where the problem happened?

No.  I reported it from the Emacs 26 RC1, and the problem
happened in that version.  And I tested it with `emacs -Q'
in that version.  I likely reported it (M-x report-emacs-bug)
using my setup, but with the same binary that I tested using
emacs -Q.  And I tested using emacs -Q also in Emacs 25.3.1,
24.5, 24.4, 23.4, and even 22.3 and 20.

> > 2. I'm sure I tested those multiple builds, using `emacs -Q',
> >    going back to see whether it ever worked and, if so, in
> >    what release it became broken.  IIRC, found that prior to
> >    Emacs 24 those terms were not links; in Emacs 24.4 the
> >    links worked correctly; and starting with Emacs 24.5,
> >    through 27 (3rd snapshot) the links were broken.
> >
> > 3. I don't know how or why I saw different behavior then
> >    than now, when I retest.
> 
> We've been through that before.

Have we?  Please tell me how what I saw is possible, in
that case.

> May I suggest that next time this happens you keep notes
> about the exact steps you took while reproducing the problem?
>
> >    I don't know what you mean,
> >    about somehow reading Info files that didn't come with
> >    the same binary.  How would that even happen?
> 
> It depends on how your system is configured wrt multiple Emacs
> versions installed on it, and in particular how you invoke Info.  If
> you just type "C-h i" or "C-h r", the Info manual you get depends on
> whether you keep the share/info directories of different versions
> separate or not.

They are all separate.  Each Emacs version/release is in
a separate directory/folder, and all of it is there, in
the original subdirs (bin, etc, include,lib, libexec,
share, ssl).  All I do is extract the zip file
obtained from GNU Emacs (e.g. P. Lord's snapshots).  I
make no changes to the directories or their files.

(Even with my own setup I make no such changes - no
changes to the distributed files and their directories.
But with my own setup I do make changes to some Info
functions etc.)

So I repeat the question, how could it happen that I
would read an Info file that didn't come with the
current binary, when using emacs -Q?

Unless there is some kind of cache file that Emacs
uses for Info that is outside that directory, I don't
see how different versions could show the same Info
manual version when each is started with emacs -Q.

> Also, "C-h i" and "C-h r" go to different places by
> default.  This is why I always use "C-u C-h i", and then specify the
> Info file that corresponds to the Emacs version I'm running.

I used `C-h r' to simplify the repro recipe.  If invoked
from emacs -Q, how can that go elsewhere than the Emacs
manual for that binary?

> > Sorry for any confusion.  I don't really understand what's
> > causing the mixup in behavior, but I'm sure that I tested
> > each of the releases 24.5, 25.3.1, and 26 using `emacs -Q'.
> > But I confirm that doing that again now I don't see the
> > problem except in 24.5.
> 
> Then I guess we can close this bug.